Package com.trilead.ssh2.sftp

# Class AttribFlags

java.lang.Object
com.trilead.ssh2.sftp.AttribFlags

public class AttribFlags extends Object
Attribute Flags. The 'valid-attribute-flags' field in the SFTP ATTRS data type specifies which of the fields are actually present.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SSH_FILEXFER_ATTR_ACCESSTIME`
Indicates that the 'atime' field is present.
`static final int`
`SSH_FILEXFER_ATTR_ACL`
Indicates that the 'acl' field is present.
`static final int`
`SSH_FILEXFER_ATTR_ALLOCATION_SIZE`
Indicates that the 'allocation-size' field is present.
`static final int`
`SSH_FILEXFER_ATTR_BITS`
Indicates that the 'attrib-bits' and 'attrib-bits-valid' fields are present.
`static final int`
`SSH_FILEXFER_ATTR_CREATETIME`
Indicates that the 'createtime' field is present.
`static final int`
`SSH_FILEXFER_ATTR_CTIME`
Indicates that the 'ctime' field is present.
`static final int`
`SSH_FILEXFER_ATTR_EXTENDED`
Indicates that the 'extended-count' field (and probablby some 'extensions') is present.
`static final int`
`SSH_FILEXFER_ATTR_LINK_COUNT`
Indicates that the 'link-count' field is present.
`static final int`
`SSH_FILEXFER_ATTR_MIME_TYPE`
Indicates that the 'mime-type' field is present.
`static final int`
`SSH_FILEXFER_ATTR_MODIFYTIME`
Indicates that the 'mtime' field is present.
`static final int`
`SSH_FILEXFER_ATTR_OWNERGROUP`
Indicates that the 'owner' and 'group' fields are present.
`static final int`
`SSH_FILEXFER_ATTR_PERMISSIONS`
Indicates that the 'permissions' field is present.
`static final int`
`SSH_FILEXFER_ATTR_SIZE`
Indicates that the 'allocation-size' field is present.
`static final int`
`SSH_FILEXFER_ATTR_SUBSECOND_TIMES`
Indicates that additionally to the 'atime', 'createtime', 'mtime' and 'ctime' fields (if present), there is also 'atime-nseconds', 'createtime-nseconds', 'mtime-nseconds' and 'ctime-nseconds'.
`static final int`
`SSH_FILEXFER_ATTR_TEXT_HINT`
Indicates that the 'text-hint' field is present.
`static final int`
`SSH_FILEXFER_ATTR_UNTRANSLATED_NAME`
Indicates that the 'untranslated-name' field is present.
`static final int`
`SSH_FILEXFER_ATTR_V3_ACMODTIME`
Indicates that the 'atime' and 'mtime' field are present (protocol v3).
`static final int`
`SSH_FILEXFER_ATTR_V3_UIDGID`
Protocol version 6: 0x00000002 was used in a previous version of this protocol.

## Constructor Summary

Constructors
Constructor
Description
`AttribFlags()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SSH_FILEXFER_ATTR_SIZE

public static final int SSH_FILEXFER_ATTR_SIZE
Indicates that the 'allocation-size' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_V3_UIDGID

public static final int SSH_FILEXFER_ATTR_V3_UIDGID
Protocol version 6: 0x00000002 was used in a previous version of this protocol. It is now a reserved value and MUST NOT appear in the mask. Some future version of this protocol may reuse this value.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_PERMISSIONS

public static final int SSH_FILEXFER_ATTR_PERMISSIONS
Indicates that the 'permissions' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_V3_ACMODTIME

public static final int SSH_FILEXFER_ATTR_V3_ACMODTIME
Indicates that the 'atime' and 'mtime' field are present (protocol v3).

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_ACCESSTIME

public static final int SSH_FILEXFER_ATTR_ACCESSTIME
Indicates that the 'atime' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_CREATETIME

public static final int SSH_FILEXFER_ATTR_CREATETIME
Indicates that the 'createtime' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_MODIFYTIME

public static final int SSH_FILEXFER_ATTR_MODIFYTIME
Indicates that the 'mtime' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_ACL

public static final int SSH_FILEXFER_ATTR_ACL
Indicates that the 'acl' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_OWNERGROUP

public static final int SSH_FILEXFER_ATTR_OWNERGROUP
Indicates that the 'owner' and 'group' fields are present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_SUBSECOND_TIMES

public static final int SSH_FILEXFER_ATTR_SUBSECOND_TIMES
Indicates that additionally to the 'atime', 'createtime', 'mtime' and 'ctime' fields (if present), there is also 'atime-nseconds', 'createtime-nseconds', 'mtime-nseconds' and 'ctime-nseconds'.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_BITS

public static final int SSH_FILEXFER_ATTR_BITS
Indicates that the 'attrib-bits' and 'attrib-bits-valid' fields are present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_ALLOCATION_SIZE

public static final int SSH_FILEXFER_ATTR_ALLOCATION_SIZE
Indicates that the 'allocation-size' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_TEXT_HINT

public static final int SSH_FILEXFER_ATTR_TEXT_HINT
Indicates that the 'text-hint' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_MIME_TYPE

public static final int SSH_FILEXFER_ATTR_MIME_TYPE
Indicates that the 'mime-type' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_LINK_COUNT

public static final int SSH_FILEXFER_ATTR_LINK_COUNT
Indicates that the 'link-count' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_UNTRANSLATED_NAME

public static final int SSH_FILEXFER_ATTR_UNTRANSLATED_NAME
Indicates that the 'untranslated-name' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_CTIME

public static final int SSH_FILEXFER_ATTR_CTIME
Indicates that the 'ctime' field is present.

See Also:
  - Constant Field Values

### SSH_FILEXFER_ATTR_EXTENDED

public static final int SSH_FILEXFER_ATTR_EXTENDED
Indicates that the 'extended-count' field (and probablby some 'extensions') is present.

See Also:
  - Constant Field Values

## Constructor Details

### AttribFlags

public AttribFlags()